### Method

# Snapd Client get_connections2_sync

since: 1.49

#### Declaration [src]

    gboolean
    snapd_client_get_connections2_sync (
      SnapdClient* client,
      SnapdGetConnectionsFlags flags,
      const gchar* snap,
      const gchar* interface,
      GPtrArray** established,
      GPtrArray** undesired,
      GPtrArray** plugs,
      GPtrArray** slots,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Get the installed snap connections.

Available since: 1.49

#### Parameters

`flags`

  Type: `SnapdGetConnectionsFlags`

  A set of `SnapdGetConnectionsFlags` to control what results are returned.

`snap`

  Type: `const gchar*`

  The name of the snap to get connections for or `NULL` for all snaps.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`interface`

  Type: `const gchar*`

  The name of the interface to get connections for or `NULL` for all interfaces.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`established`

  Type: An array of `None`

  the location to store the array of connections or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data container, but not the data inside it.

`undesired`

  Type: An array of `None`

  the location to store the array of auto-connected connections that have been manually disconnected or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data container, but not the data inside it.

`plugs`

  Type: An array of `None`

  The location to store the array of `SnapdPlug` or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data container, but not the data inside it.

`slots`

  Type: An array of `None`

  The location to store the array of `SnapdSlot` or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data container, but not the data inside it.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success or `FALSE` on error.